// Custom Server Settings: Challenge ProMode Arena - Quake3
// --------------------------------------------------------
// Version: 0.99s1
// Date:    19 Mar 2001
// Email:   arQon@promode.org
// WWW:     http://www.ProMode.org
// IRC:     irc.enterthegame.com: #promode
//
//
// Recommended dedicated server command-line:
//
//    quake3 +set dedicated 2 +set fs_game cpma +set vm_game 2 +exec <config>
//

// pmove_fixed <0|1>
//	Enable server to utilize enhanced client sampling.  (Default = 0)
//		* 0 - Disabled
//		  1 - Enabled
//
// fraglimit <value>
//	Specifies the number of rounds for a team to win to win the
//	overall match in ClanArena/DuelArena mode.  Or if in CTF
//      mode, the # of Captures to win.  Also in 
//	Tourney/DM/TDM, the # of frags to win.
//
// server_maxpacketsmin <value>
//	Specifies minimum client cl_maxpackets setting (Default = 30,
//	0 = no lower limit on client cl_maxpackets).
//
// server_maxpacketsmax <value>
//	Specifies maximum client cl_maxpackets setting (Default = 100,
//	0 = no upper limit on client cl_maxpackets).
//
// server_motdfile <filename>
//      Defines an external file from which to read MOTD message to
//      display to a client.  This file will override
//      any server_motdX variable setting (defined below).
//      (Default = "none" - No MOTD file defined).
//
// server_motdX <string> (X = 1 through 8)
//      Sets the server MOTD.  Each var is used to display a line in the
//      MOTD.  The message is terminated when the first NULL ("") line is
//      encountered.
//
// server_realping <0|1>
//	Specifies whether spectators who are following players in the
//	game will have their real ping reflected in the scoreboard
//	and remote server queries.
//		* 0 - Copy followed players ping (id default)
//		  1 - Show spec's real ping.
//
// server_promode <0|1>
//	Allows for enabling "ProMode" server settings for any mode of
//	play.
//		  0 - Normal Quake3 settings (VQ3)
//		* 1 - Promode-style of play
//
// server_instagib <0|1>
//	Enables InstaGib mode. (Default = 0)
//		* 0 - No InstaGib
//		  1 - InstaGib
//
// server_fastrail <0|1>
//	Affects CPM Railgun reload time. (Default = 0)
//		* 0 - 1500ms
//		  1 - 1000ms
//
// server_lgcooldown <0|1>
//	Controls the delay between firing LG/MG and being able to switch to
//	another weapon (Default = 1)
//		  0 - 100ms
//		* 1 - 200ms
//
// server_vstr <0|1>
//	Enables +/- vstr usage.  (Default = 0)
//		* 0 - Disabled
//		  1 - Enabled
//
// server_fallingdamage <0|1>  (Default = 1)
//	  0 - No damage done to player when falling.
//	* 1 - Player takes damage when falling.
//
// server_thrufloors <0|1>
//	* 0 - Blast damage does NOT radiate through thin surfaces.
//	  1 - Default id Quake3 (version 1.17 and prior) format where
//            blast damage can be given through thin surfaces.
//
// server_timenudgemin <value>
//	Specifies minimum client cl_timenudge setting (Default = 0,
//	no lower limit on client cl_timenudge).
//
// server_timenudgemax <value>
//	Specifies maximum client cl_timenudge setting (Default = 0,
//	no upper limit on client cl_timenudge).
//
// server_ratemin <value>
//	Specifies minimum client rate setting (Default = 0,
//	no lower limit on client rate).
//
set sv_pure 1
set sv_hostname "Challenge ProMode Arena"
set sv_maxclients 10
set bot_enable 0
set dmflags 0
set timelimit 20
set fraglimit 30
set pmove_fixed 0
set server_maxpacketsmin 30
set server_maxpacketsmax 100
set server_motdfile "none"
set server_motd1 " ^B^3*** Welcome to Challenge ProMode Arena *** "
set server_motd2 "  "
set server_motd3 "               http://www.promode.org"
set server_motd4 ""
set server_motd5 ""
set server_motd6 ""
set server_motd7 ""
set server_motd8 ""
set server_promode 1
set server_instagib 0
set server_fastrail 0
set server_vstr 0
set server_fallingdamage 1
set server_realping 0
set server_record 0
set server_thrufloors 0
set server_timenudgemin 0
set server_timenudgemax 0
set server_ratemin 0

// =============
//    REFEREE
// =============
// ref_password <string>
//	Sets the password for in-game "referee" (admin) access.
//	Setting this password to "none" disables the referee feature
//	(default = "none").
//
set ref_password "none"

// ========================
//    GENERAL Q3 OPTIONS
// ========================
// bot_autoload <string>
//	Specifies names of bots to add after the server has loaded.
//	Bot names are delimited by spaces.  This variable allows the
//	server admin to automatically load bots on map start as if
//	the admin issued "addbot" commands.  ANY name can be used
//	for the bots.
//
// bot_checktime <value>
//	Specifies the number of seconds between bots joining/leaving
//	a server based on bot_minplayers setting (default = 10).
//
// g_gametype <value>
//	Specifies gametype the server is to start on startup:
//		0 - Free For All DM (FFA)  [default]
//		1 - 1v1 DM
//		2 - Single-Player
//		3 - Team Deathmatch
//		4 - Capture The Flag (CTF) Teamplay
//		5 - Clan Arena (CA)
//
// g_inactivity <seconds>
//	Specifies how long a player can idle before being kicked
//	from the server.  A value of "0" disables this feature
//	(default = 0).
//
// g_log <logfilename>
//	Specifies the name of the file to save all in-game
//	information.  Setting this to "" disables logging
//	(default = "games.log").
//
//
set bot_checktime 10
set g_gametype 0
set g_inactivity 0
set g_log ""

// ==============================
//    MATCH-RELATED PARAMETERS
// ==============================
// g_doWarmup <0|1>
//	Specifies whether a match should have a "warm-up"
//	period before actual gamplay begins.  In almost all
//	cases, this option SHOULD be set to 1 to make it
//	a more fair of a fight for slow connects from a
//	previous level (default = 0).
//
// g_warmup <seconds>
//	Specifies the maximum length of the warmup period,
//	if it is enabled.  This warmup period is shortened to
//	10 seconds once enough players are "ready".  If this
//	value is set to 0, and g_doWarmup is set to 1, then
//	players must manually "ready" themselves to start the
//	match -- much like the traditional method in such mods
//	as OSP Tourney DM for Quake2 (default = 20).
//
// match_mutespecs <0|1>
//	Enables/disables spectator chat being displayed to active
//	players in the game when a match is in progress (default = 0).
//
// match_startrespawn <0|1>
//	Determines whether clients respawn randomly when a round
//	begins for CA (ClanArena) and DA (DuelArena) mode.  This affects
//	*only* the CA/DA gametypes.
//		* 0 - Clients do NOT respawn on round start.
//		  1 - Clients respawn when the round begins.
//
// match_readypercent <percentage from 1-100>
//	Specifies the percentage of in-game players who must be
//	"ready" to start a match.  This can also be used to get
//	a match going on an otherwise long g_warmup "warmup" period
//	(default = 51).
//
// match_timeoutcount <value>
//	Specifies the number of timeouts allowed for each team in
//	teamplay (DM or CTF), or each player in 1v1 (default = 3).
//
// match_timeoutlength <seconds>
//	Specifies the length (in seconds) of each timeout
//	(default = 60).
//
set g_doWarmup 0
set g_warmup 20
set match_startrespawn 0
set match_mutespecs 0
set match_readypercent 51
set match_timeoutcount 0
set match_timeoutlength 60

// ==============
//    TEAMPLAY
// ==============
// team_allcaptain <0|1>
//	* 0 - Normal team captain assignments (1 per team).
//	  1 - All players on a team have the ability to invite
//		spectators or to call a time-out.  There is still
//		a single "true" captain.
//
// server_armordamageteam <0|1>
//	  0 - No armor is stripped for team-inflicted blast damage
//	* 1 - Armor is stripped for team-inflicted blast damage
//		** CA (Clan Arena) Mode only
//
// server_armordamageself <0|1>
//	* 0 - No armor is stripped for self-inflicted blast damage
//	  1 - Armor is stripped for self-inflicted blast damage
//		** CA (Clan Arena) and DA (DuelArena) Mode only
//
// g_weaponRespawnTDM <value>
//	Specifies the respawn time (in seconds) of weapons for Team
//	DM gametype (default = 30).
//
// g_weaponRespawnCTF <value>
//      Specifies the respawn time (in seconds) of weapons for CTF
//      gametype (default = 0, which is weaponstay)
//
// g_weaponrespawn <value>
//    Specifies the weapon respawn time for all gametypes EXCEPT
//    Team DM and CTF (default = 15 in ProMode, 5 in Non-ProMode).
//
// g_friendlyFire <0|1>
//	  0 - Teammates cant hurt each other.
//	* 1 - Teammates CAN inflict damage on fellow teammates.
//
// g_teamAutoJoin <0|1>
//	* 0 - Places connecting players in spectator mode once they
//		have fully connected to the game.
//	  1 - Automatically places a player on the team with the
//		lowest number of players (or score if equal player
//		counts) after fully connecting to the game.
//
// g_teamForceBalance <0|1>
//	* 0 - Allows players to join any team, regardless of player
//		counts.
//	  1 - Forces players to join the team with the lower number
//		of players, and if equal, then the team with the lower
//		score.
//
set team_allcaptain 1
set server_armordamageteam 1
set server_armordamageself 0
set g_weaponRespawnTDM 30
set g_weaponRespawnCTF 0
set g_weaponrespawn 15
set g_friendlyFire 1
set g_teamAutoJoin 0
set g_teamForceBalance 0

// ============
//    VOTING
// ============
// g_allowVote <0|1>
//        0 - Disables all client voting on the server.
//      * 1 - Allows clients to vote on server settings.
//
// vote_limit <value>
//      Maximum # of votes allowed during a map for a non-referee
//      (default = 5).
//
// vote_allow_*
//	  0 - Disables a particular vote item.
//	* 1 - Allows clients to vote on the item.
//
//	---> Note the default behavior for vote_allow_ref
//	     is set to 0 (disabled).  If enabled, it also
//	     requires at least 3 players to be connected
//	     to the server.  The referee status of an
//	     elected player is removed at the end of the
//	     map or if they switch arenas.
//
// vote_allow_limit <0|1>
//    Enables clients to set frag/capture/round limits in all
//	modes of play.
//
// vote_allow_armordamage <0|1>
//	Whether armor is stripped off when receiving self-
//	inflicted blast damage (ClanArena mode only).
//
// vote_allow_falling <0|1>
//	Enables/disables falling damage.
//
// vote_allow_flood <0|1>
//	Specifies if the server setting sv_floodprotect is
//	to be switched off.  When clients vote for this
//	option, they will be turning off the sv_floodprotect
//	setting, which is useful in teamplay scenarios where
//	teamchat is important (and shouldn't be limited to
//	1 message per second) (default = 1).
//
// items +/-<item>
//	MG Machine Gun		SG Shotgun		GL Gren Launcher
//	RL Rocket Launcher	LG Lightning Gun	RG Railgun
//	PG Plasma Gun		BFG Big Newbie Gun	AMMO Ammunition
//	5H Health Sphere	25H Yellow Health	50H Gold Health
//	MH Megahealth		5A Armor Shard		GA Green Armor
//	YA Yellow Armor		RA Red Armor
//	QUAD Quad Damage	SUIT Battle Suit	HASTE Haste
//	INVIS Invisibility	REGEN Regeneration	FLIGHT Flight
//	MEDKIT Medkit		TELE Personal Tele
//	Grouped items:
//	HEALTH All Health	ARMOR All Armor		RUNES All Powerups
//	ITEMS All Holdables	ALL Everything
//
// vote_allow_pmove <0|1>
//      Allows clients to toggle server-imposed enhanced
//      client sampling (pmove_fixed).
//
// vote_allow_mutespecs <0|1>
//	Toggles the "match_mutespecs" server setting.  This
//	is only applicable for teamplay modes of play.
//
// vote_allow_startrespawn <0|1>
//	Allows clients to change whther they are respawned on
//	round start for the CA gametype.
//
// vote_allow_pure <0|1>
//	Allows clients to alter a server's "sv_pure" setting.
//	If a server is voted to "pure 0" from a "sv_pure 1" setting,
//	the server WILL revert back to "sv_pure 1" after the next
//	client connects to the server.  This allows for easy
//	management of letting things like QTV/GTV to connect without
//	the aid of an admin.
//
// vote_allow_fastrail <0|1>
//	Allows clients to change the rail reload time in ProMode play
//	between 1000ms and 1500ms.
//
// vote_allow_instagib <0|1>
//	Allows clients to enable/disable InstaGib mode.
//
// armorsystem <0|1|2>
//	Allows different ProMode armor systems to be used.
//		0 - CPM - YA is 100 with 150 stack, RA is 200
//		1 - CPMA Duel - YA is 75 with 150 stack, RA is 100 with 200 stack
//		2 - CPMA Team - YA is 150, RA is 200
//		3 - Quake2 - GA is 25, YA is 50, RA is 100
//
// vote_allow_arenatype <0|1>
//      Allows clients to change game types within an arena/map.
//
// vote_allow_vstr <0|1>
//	Allows clients to enable/disable +/- vstr usage.
//
// vote_percent <1-100>
//	Specifies the percentage of accepting clients for a
//	vote to pass.
//
set g_allowVote 1
set vote_allow_allcaptain 1
set vote_allow_armordamage 1
set vote_allow_limit 1
set vote_allow_startrespawn 1
set vote_allow_falling 1
set vote_allow_flood 1
set vote_allow_hook 0
set vote_allow_kick 1
set vote_allow_map 1
set vote_allow_maxpackets 1
set vote_allow_mutespecs 1
set vote_allow_pmove 1
set vote_allow_promode 1
set vote_allow_pure 1
set vote_allow_fastrail 1
set vote_allow_instagib 1
set vote_allow_armorsystem 1
set vote_allow_vstr 1
set vote_allow_referee 0
set vote_allow_teamdamage 1
set vote_allow_thrufloors 1
set vote_allow_timelimit 1
set vote_allow_timenudge 1
set vote_allow_arenatype 1
set vote_limit 5
set vote_percent 51

map cpm1a
